#include "pch.hpp"

static ATL::CPath s_profilePath;

bool Profile_Append(LPCSTR profileName)
{
	ATL::CPath unitpath = s_profilePath;
	unitpath.Append(profileName);
	if(unitpath.FileExists()) return false;
	if(!CreateDirectory(unitpath)) return false;
	return true;
}

bool Profile_Open(LPCSTR profileOpen)
{
	ATL::CPath unitpath = s_profilePath;
	unitpath.Append(profileName);
	if(!unitpath.IsDirectory()) return false;
}

bool Profile_Enumerate(PROFILE_ENUMPROC callback)
{
	WIN32_FIND_DATA wfd;
	HANDLE hFind = FindFirstFile(s_profilePath, &wfd);
	if(hFind == INVALID_HANDLE_VALUE) return false;

	do {
		if(wfd.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY) {
			if(callback) callback(wfd.cFileName);
		}
	} while(FindNextFile(hFind, &wfd));

	return true;
}

bool Profile_Initialize(LPCSTR profilePath)
{
	s_profilePath = profilePath;
	return s_profilePath.IsDirectory();
}
